<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_16</title>
</head>
<body>
    <h1>Ejercicio 16</h1>
    <script>
    /*16) Programa una función que devuelva el monto final después de aplicar 
    un descuento a una cantidad dada, pe. miFuncion(1000, 20) devolverá 800.*/

    const aplicarDesc = (cant = undefined, desc = 0) => {

        if (cant === undefined) return console.warn("No ingreso una cantidad a cobrar");
        if (cant === 0) return console.warn("Usted no compro nada");
        if (typeof cant !== "number") 
           return console.warn(`El valor ingresado: ${cant} no es un numero`);
        if (typeof desc !== "number") 
           return console.warn(`El valor ingresado: ${desc} no es un numero`);
        if (Math.sign(cant) === -1) 
           return console.error("No se puede ingresar una cantidad negativa");
        if (Math.sign(desc) === -1) //Se añadio para el parametro "desc"
           return console.error("No se puede ingresar un descuento en negativo");

        return console.log(`Total a pagar con un descuento del ${desc}% es: ${cant - ((cant*desc)/100)} pesos`);        
             
    }

    aplicarDesc(100,20);
    aplicarDesc();
    aplicarDesc("100");
    aplicarDesc(0);
    aplicarDesc(-300);
    aplicarDesc(100,-20);
    aplicarDesc(100,"20");
    



    </script>
    
</body>
</html>